List runs
import requests
url = "https://platform.ankra.app/api/v1/org/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/runs \
--header 'Authorization: Bearer <token>'{
"runs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "pipeline",
"status": "pending",
"display_name": "<string>",
"initiated_by": "<string>",
"ankra_user_id": "<string>",
"application_id": "<string>",
"environment_id": "<string>",
"promotion_id": "<string>",
"commit_sha": "<string>",
"artefact_digest": "<string>",
"parent_run_id": "<string>",
"error_excerpt": "<string>",
"last_heartbeat_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"data_run": {
"id": "<string>",
"kind": "<string>",
"mode": "<string>",
"phase": "<string>",
"plan": [
"<string>"
],
"backup_vault_id": "<string>",
"restore_point_id": "<string>",
"source_cluster_id": "<string>",
"source_stack_name": "<string>",
"target_cluster_id": "<string>",
"target_stack_name": "<string>",
"asset_plan": {},
"namespace_mapping": {},
"storage_class_mapping": {},
"batch_id": "<string>",
"blocked_reason": "<string>",
"attempt_budget": 123,
"retry_of_data_run_id": "<string>",
"blocked_detail": "<string>",
"steps": [
{
"id": "<string>",
"step_key": "<string>",
"position": 123,
"attempt": 123,
"status": "<string>",
"job_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"failure_class": "<string>",
"cluster_id": "<string>",
"execution_id": "<string>",
"execution_step_id": "<string>",
"error_excerpt": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
}
]
}
}
],
"next_cursor": "<string>"
}Executions
List runs
Lists the organisation’s runs (pipelines, promotions, backups, restores, clones) newest first, one keyset page at a time. Filtering by cluster_id, stack_name or batch_id lists backup, restore and clone runs with their payload and needs backups.read as well. Requires runs.read.
GET
/
api
/
v1
/
org
/
runs
List runs
import requests
url = "https://platform.ankra.app/api/v1/org/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/runs \
--header 'Authorization: Bearer <token>'{
"runs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "pipeline",
"status": "pending",
"display_name": "<string>",
"initiated_by": "<string>",
"ankra_user_id": "<string>",
"application_id": "<string>",
"environment_id": "<string>",
"promotion_id": "<string>",
"commit_sha": "<string>",
"artefact_digest": "<string>",
"parent_run_id": "<string>",
"error_excerpt": "<string>",
"last_heartbeat_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"data_run": {
"id": "<string>",
"kind": "<string>",
"mode": "<string>",
"phase": "<string>",
"plan": [
"<string>"
],
"backup_vault_id": "<string>",
"restore_point_id": "<string>",
"source_cluster_id": "<string>",
"source_stack_name": "<string>",
"target_cluster_id": "<string>",
"target_stack_name": "<string>",
"asset_plan": {},
"namespace_mapping": {},
"storage_class_mapping": {},
"batch_id": "<string>",
"blocked_reason": "<string>",
"attempt_budget": 123,
"retry_of_data_run_id": "<string>",
"blocked_detail": "<string>",
"steps": [
{
"id": "<string>",
"step_key": "<string>",
"position": 123,
"attempt": 123,
"status": "<string>",
"job_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"failure_class": "<string>",
"cluster_id": "<string>",
"execution_id": "<string>",
"execution_step_id": "<string>",
"error_excerpt": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
}
]
}
}
],
"next_cursor": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Runs per page.
Required range:
1 <= x <= 100The next_cursor of the previous page.
Only runs of this kind.
Available options:
pipeline, promotion, restore, backup, clone, dr_drill, environment_hydrate Only runs in this status.
Only runs of this application.
Only runs in this environment.
Only backup, restore and clone runs touching this cluster.
Only backup, restore and clone runs of this stack.
Only data runs of this batch.